Report a job
const url = 'https://api.gampeon.com/v1/jobs/1/reports';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"category":"scam","explanation":"example","reporterName":"example","reporterEmail":"hello@example.com","goodFaith":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.gampeon.com/v1/jobs/1/reports \ --header 'Content-Type: application/json' \ --data '{ "category": "scam", "explanation": "example", "reporterName": "example", "reporterEmail": "hello@example.com", "goodFaith": true }'Notice under Art. 16 DSA, also without an account. Name and email are required except for child_safety. A copy of the job is kept with the report.
Not available with access tokens.
Rate limit: 10 per hour per IP.
Authorizations
Section titled “Authorizations”- None
- session
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Job ID
Request Bodyrequired
Section titled “Request Bodyrequired”object
Confirms the report is made in good faith
Responses
Section titled “Responses”Report received (200 if you already reported it)
object
Example
{ "status": "open"}Error codes: invalid_field
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: good_faith_confirmation_required
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Limit: 10 per hour per IP. Error codes: rate_limited
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}